package com.qmth.exam.reserve.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.qmth.exam.reserve.entity.base.BaseEntity;
import com.qmth.exam.reserve.enums.Role;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@TableName("t_user")
public class UserEntity extends BaseEntity {

    private static final long serialVersionUID = 6770398649449396459L;

    /**
     * 角色类型
     */
    private Role role;

    /**
     * 姓名
     */
    private String name;

    /**
     * 登录名
     */
    private String loginName;

    /**
     * 密码
     */
    private String password;

    /**
     * 联系方式
     */
    private String mobile;

    /**
     * 所属教学点ID，角色为教学点管理员，必填
     */
    private Long categoryId;

    /**
     * 所属租户机构ID（预留字段）
     */
    private Long orgId;

    /**
     * 是否启用
     */
    private Boolean enable;

}
